shishi_safe_build(3)

NAME
shishi_safe_build - API function

SYNOPSIS
#include <shishi.h>

int shishi_safe_build(Shishi_safe * safe, Shishi_key * key);

ARGUMENTS

Shishi_safe * safe
    safe as allocated by shishi_safe().

Shishi_key * key
    key for session, used to compute checksum.

DESCRIPTION
Build checksum and set it in KRB-SAFE. Note that this follows RFC 1510bis and is incompatible with RFC 1510, although presumably few implementations use the RFC1510 algorithm.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.